Get Edit Template
Retrieve a saved edit template by ID.
Use this endpoint to inspect the source file, default edit configuration, and optional schema generation configuration saved on an edit template. To run an edit directly from a template, pass its ID as the top-level templateId field (in place of file) to POST /edit or POST /edit_runs — the template’s file and config are used automatically, and any config values also set on the request take precedence over the template’s. Reuse schemaConfig with POST /detect_form or POST /form_detection_runs.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The unique identifier for the edit template.
Example: "edt_xK9mLPqRtN3vS8wF5hB2cQ"
Headers
API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.
Response
The type of object. Will always be "edit_template".
A unique identifier for the edit template.
Example: "edt_xK9mLPqRtN3vS8wF5hB2cQ"
The time (in UTC) at which the object was created. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"
The time (in UTC) at which the object was last updated. Will follow the RFC 3339 format.
Example: "2024-03-21T16:45:00Z"

